## org.eclipse.emf.converter
Class ConverterPlugin

    java.lang.Object
      org.eclipse.emf.common.EMFPlugin
          org.eclipse.emf.converter.ConverterPlugin

All Implemented Interfaces:
  Logger, ResourceLocator

    public final class ConverterPlugin

extends EMFPlugin

The Plugin for the model converter.

Since:
  2.2.0

Nested Class Summary
`static class` `ConverterPlugin.Implementation` The actual implementation of the Eclipse Plugin.

Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin
`EMFPlugin.EclipsePlugin, EMFPlugin.InternalEclipsePlugin, EMFPlugin.InternalHelper`

Field Summary
`static java.lang.String` `ID`
`static ConverterPlugin` `INSTANCE` The singleton instance of the plugin.

Fields inherited from class org.eclipse.emf.common.EMFPlugin
`baseURL, delegateResourceLocators, images, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

Method Summary
`static ConverterPlugin.Implementation` `getPlugin()` Returns the singleton instance of the Eclipse plugin.
`ResourceLocator` `getPluginResourceLocator()` Returns an Eclipse plugin implementation of a resource locator.

Methods inherited from class org.eclipse.emf.common.EMFPlugin
`delegatedGetImage, delegatedGetString, doGetImage, getBaseURL, getImage, getPluginLogger, getString, getString, getString, getString, getSymbolicName, log, main, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ConverterPlugin INSTANCE

  The singleton instance of the plugin.

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

Method Detail

### getPluginResourceLocator

    public ResourceLocator getPluginResourceLocator()

  Description copied from class: `EMFPlugin`
  Returns an Eclipse plugin implementation of a resource locator.

  Specified by:
    `getPluginResourceLocator` in class `EMFPlugin`
  Returns:
    an Eclipse plugin implementation of a resource locator.

### getPlugin

    public static ConverterPlugin.Implementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.